// You can import API functions like this from D3.js.
//import { select } from 'd3';

// You can import local modules like this. See message.js!
//import { message } from './myMessage';

// This line uses D3 to set the text of   the message div.


import {cars}  from 'car';
const formatCar = car => {
  const {
    year,
    make,
    model,
    price
  } = car;
  return `${year} ${make} ${model}: $$${price}`;
};

const report=cars
.filter(car => car.price >2000)
.map(formatCar)
.join();


const message = report;

document.getElementById('message-element').textContent=message;
